www.dbpj.net > 求全面支持HTML5的JAvASCript的自动补全 的 IDE环境。

求全面支持HTML5的JAvASCript的自动补全 的 IDE环境。

你好 写HTML5和JavaScript的话可以用HBuilder或者webstorm,不过这两个IDE都比较大,对电脑的性能有一定的要求,或者也可以用Sublime Text 3,这个要小一些,但需要安装插件,HBuilder webstorm Sublime Text 3 希望我的回答能够帮助到你,如果还有什么疑问可以继续追问.

Notepad++包含插件Explorer(管理代码文件)和插件ZenCoding(提高编码速度)和4大浏览器MSIE9+、FF(带上Firebug)、Chrome\Safari、Opera.SublimeText2,很好用的IDE;WebStorm也不错,最新版本全面支持HTML5.0.

DreamWeaver的最新版CS5.5就有你说的自动代码提示,就算没有提示的时候你按ctrl+H的组合键也可以弹出代码提示.而且还支持JavaScript,jQuery,Android,iphone等平台开发的代码提示.CS5以上的版本对JavaScript,jQuery等脚本语言和框架

DCloudHBuilder:基于HTML5开发工具是当前最快的HTML开发工具,强大的代码助手帮你快速完成开发,最全的语法库和浏览器兼容性数据让浏览器碎片化不再头痛,DCloud 还提供云端打包服务,可以让开发者直接在云端生成 .ipa 或 .apk 安

ie9+、ff、opera、chrome都是支持html5的不需要服务端,编辑器用记事本、notepad++、dreamweaver都行.

想兼容CSS3跟代码没什么关系,主要是浏览器的版本问题,比如IE要全面兼容CSS3要IE10至少,最好是IE11,你或许想了解的是在不同的浏览器中兼容同一种样式的CSS代码,那么这个不复杂,在基本的CSS代码 前加上公司的标识就行了比如-MOZ -webkit -ms,适合不同的浏览器,火狐,谷歌等.,,CSS3代码能得到很好的执行以WINDOWS系统来说,需要WIN10系统,自带IE11,,XP,WIN7自带的是7~9版本的浏览器,关键的是还升级不到IE11,除非你是正版的系统,ghost版的就不要去浪费时间升级他,升级不了,

如果是高级JS开发的话,WebStorm是公认的功能最强大,但是刚上手的时候会有些复杂.如果是新手开发小型JS脚本的话,sublime、everedit等代码编辑器就够了,dcloud是国产的前端开发IDE也挺不错适合新手,用着方便.

具体操作:使用eclipse自带的插件,无需另外安装插件,具体步骤如下1.打开eclipse→Windows→Preferences→Java→Editor→Content Assist修改Auto Activation triggers for java的值为:zjava 点击apply按钮2.继续打开JavaScript→Editor→

Adobe Dreamweaver 、EditPlus、Zend Studio都是很好的工具.轻量级用EditPlus,偏重前端设计用Dreamweaver,偏重程序开发用Zend Studio吧! 集成开发环境是一种集成了软件开发过程中所需主要工具的集成开发环境,其功能包括但不仅

推荐aptana IDE,支持汉化,支持脚本调试,有预览效果

网站地图

All rights reserved Powered by www.dbpj.net

copyright ©right 2010-2021。
www.dbpj.net内容来自网络,如有侵犯请联系客服。zhit325@qq.com